### Function

# Foundry list_model_await

#### Declaration [src]

    DexFuture*
    foundry_list_model_await (
      GListModel* model
    )

#### Description [src]

Returns a future that resolves when the list has completed being populated or rejects with error.

Use `foundry_list_model_set_future()` to affect the future that is used here.

If no future has been set, this function returns a future that has already resolved (e.g. True).

#### Parameters

`model`

  Type: `GObject`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.